## List UsageSavedQueries

### cURL

```
curl --request GET \  
  --url https://api.m3ter.com/organizations/{orgId}/usage/savedqueries \  
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/usage/savedqueries"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/usage/savedqueries', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response formats

#### 200
```json
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "name": "<string>",
      "usageQuery": {
        "startDate": "2023-11-07T05:31:56Z",
        "endDate": "2023-11-07T05:31:56Z",
        "meterIds": [
          "<string>"
        ],
        "accountIds": [
          "<string>"
        ],
        "dimensionFilters": [
          {
            "meterId": "<string>",
            "fieldCode": "<string>",
            "values": [
              "<string>"
            ]
          }
        ],
        "aggregations": [
          {
            "meterId": "<string>",
            "fieldCode": "<string>",
            "fieldType": "<unknown>",
            "function": "<unknown>"
          }
        ],
        "groups": [
          {}
        ],
        "limit": 10000
      }
    }
  ],
  "nextToken": "<string>"
}
```

#### 4XX
```json
{
  "message": "<string>"
}
```

#### 5XX
```json
{
  "message": "<string>"
}
```

### Authorizations

Authorization | string | header | required
--- | --- | --- | ---  
m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.
### Path Parameters

Parameter | Type | Required | Description
--- | --- | --- | ---  
orgId | string | required | UUID of the organization
### Query Parameters

Parameter | Type | Required | Description
--- | --- | --- | ---  
pageSize | integer<int32> | required | Number of UsageSavedQueries to retrieve per page; Required range: `1 <= x <= 100`
nextToken | string | optional | nextToken for multi-page retrievals
ds | string[] | optional | Maximum array length: `200`
queryType | string | optional | 
### Response

200 | application/json | ListUsageSavedQueries 200 response
--- | --- | --- | ---

#### Response attributes

Attribute | Type | Description
--- | --- | ---  
data | object[] | 
nextToken | string |
